﻿using Hotline.Share.Requests;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Hotline.Share.Dtos.Bi
{
    public record VisitAndOrgSatisfactionDetailDto: PagedRequest
    {
        public DateTime StartDate { get; set; }
        public DateTime EndDate { get; set; }
        public string OrgCode { get; set; }
        public int TypeId { get; set; }
        public string DateValue { get; set; }
        
        public string? LineNum { get; set; }
    }

    public record HighMatterWarningRequest:PagedRequest
    {
        public DateTime StartDate { get; set; }
        public DateTime EndDate { get; set; }

        public List<string> HotspotIds { get; set; } = new();

        public List<string> AreaCodes { get; set; } = new();

        public List<string> AcceptTypeCodes { get; set; } = new();
    }

    public record HighMatterWarningDetailRequest :PagedRequest
    {
        public DateTime StartDate { get; set; }
        public DateTime EndDate { get; set; }

        public string HotspotId { get; set; }

        public string AreaCode { get; set; }

        public string AcceptTypeCode { get; set; }
    }
}
